//
//  ContentView.swift
//  cmbSDKToolkitSampleApp
//
//

import SwiftUI
import cmbSDKToolkit

struct ContentView: View {
    
    @EnvironmentObject var appState: AppState
    
    var body: some View {
        
        if appState.pairedDeviceIsAvailable {
            ScannerView(appState.readerState)
        }
        else {
            BTPairingView()
        }
    }
}
